---
rank: 26
title: "Open Source and Feelings: The Awesome"
date: 2016-01-07T01:26:05.000Z
layout: post
path: /open-source-and-feelings-the-awesome/
next: /four-books-for-greater-understanding/
previous: /contract-teaching/
tags:
  - nvc
  - empathy
  - business
  - conferences
  - software
---

![Open Source and Feelings Logo](https://static.sinap.ps/blog/2016/01_jan/osfeels_awesome/osfeels.png)

I went to a little conference here in Seattle last fall called [Open Source and Feelings](http://osfeels.com). [It was awesome, inspiring, and challenging](https://twitter.com/scottnonnenberg/status/650745465806295040). The event was unique for a tech conference in that it didn't focus on code at all. It instead covered the issues that surround code: the difficulties of running open source projects, developing experiences that customers love, navigating the software development employment market, and so on. It's about time that we all started talking about these things!

Though it's been awhile, I thought it would still be useful to highlight some of my favorite sessions. [The videos](http://www.confreaks.tv/events/osfeels2015) are still available, and [the topics](http://osfeels.com/schedule) are still useful!

<div class='fold'></div>

![NVC is not about tone-policing, via https://twitter.com/onealexharms/status/650397122664095745](https://static.sinap.ps/blog/2016/01_jan/osfeels_awesome/tone-policing.jpg)

## Non-violent communication

My favorite talk was by [Isaac Z. Schlueter](http://blog.izs.me/), called [Non-Violent Communication for Fun, Profit, and Self Defense](http://www.confreaks.tv/videos/osfeels2015-non-violent-communication-for-fun-profit-and-self-defense). Non-violent communication (NVC) is a system of *communication* and *self-reflection* pioneered by one [Marshall B. Rosenberg](https://www.cnvc.org/about/marshall-rosenberg.html). It has [popped up](http://moreahvestan.com/communication-coaching/) [a few times](http://www.yourtango.com/experts/ms-moreah-vestan/4-ways-communicate-your-heart-when-youre-annoyed#comments-content) for me lately, but the conference finally pushed me over the edge: I read [Rosenberg's book A Language of Life](http://www.amazon.com/gp/product/B014OISVU4?psc=1&redirect=true&ref_=oh_aui_d_detailpage_o00_) not long afterwards.

The *communication* component is about expressing yourself clearly and honestly, and doing the work to truly understand others even if they don't do the same. A big component is teasing apart some of the things we combine so often, for example: factual observations versus opinion-based judgements. One is free of judgement, and the other is very likely to provoke defensiveness. You can split these up when you speak, but if others don't do the same it takes effort to slow down and try to understand what someone is really saying and why they're saying it. So often we assume intent and respond as if that assumption is fact.

The *self-reflection* component is about fully acknowledging your own feelings, since we're trained from a young age not to feel at all. The first step is to develop the vocabulary required to talk about your emotions and needs (instead of judgements, thoughts, strategies, and demands). Later, you'll realize that you have some control over your emotional state when things happen around you.

And that's just barely scratching the surface. As Isaac mentioned in the slide shown above, it's important to note that NVC is not a system about pushing behavior on others, but striving to better understand them. All the benefits follow from that simple beginning. I have to say, it really resonates with me. In fact, I presented my own attempt at system for this kind of understanding specifically designed for tech folks in my [Social Engineering for Good, Not Evil talk](https://github.com/scottnonnenberg/social-engineering-for-good) [in 2014](http://www.meetup.com/seattle-software-craftsmanship/events/159243162/).

![strong feels and being right, via https://twitter.com/Strabd/status/650074737356308480](https://static.sinap.ps/blog/2016/01_jan/osfeels_awesome/empathy.jpg)

## Empathy

My next favorite talk was called [Learning to Empathy](http://www.confreaks.tv/videos/osfeels2015-learning-to-empathy) by [Alex Harms](https://twitter.com/onealexharms). Empathy has become a buzzword in the software development and usability space in the past few years, and it was liberally sprinkled through just about every talk. But this one was unique - it faced, head-on, the hard problem of actually being empathetic.

It was a powerful session. It started with a guided meditation, a great way to prepare everyone for a tough topic. Alex hadn't set up speaker notes, so you could tell it was all from the heart. Alex then admitted to being an asshole, and how we're all assholes by default, especially when 'shit gets real.' And empathy is a tool to help an asshole better deal with the world.

The session put empathy, the buzzword, firmly in its place. We were talking about real, in-person, difficult, human interaction. Yes, if you truly, deeply understand someone via empathy you can make some really great software for them. But it is far more powerful and widely applicable than that.

Some choice quotes:

> "What if everyone is doing the best they can to get through this hard life?" [(11:20)](https://youtu.be/U15nkcSY2GI?t=11m20s)

> "Self-empathy is the ability to sit with yourself. And listen to yourself. The way you would listen to a close friend. ... 'I'm so sorry that happened to you. You did the best you could.'" [(14:20)](https://youtu.be/U15nkcSY2GI?t=14m20s)

> "To me the point of empathy is not that it's an obligation, or that it's going to help everybody else, but it helps me make sense of the world and I can choose what I want to do next. Because a lot of times I don't choose. A lot of times I react." [(17:08)](https://youtu.be/U15nkcSY2GI?t=17m08s)

> "I only have control over the story I'm telling myself." [(22:35)](https://youtu.be/U15nkcSY2GI?t=22m35s)

> "When somebody is having strong feelings. I don't think they give a shit what your opinion of the statistics is." [(25:00)](https://youtu.be/U15nkcSY2GI?t=25m00s)

![via https://twitter.com/osbridge/status/650008835629842432](https://static.sinap.ps/blog/2016/01_jan/osfeels_awesome/impostor-syndrome.jpg)

## Positive self-talk

[Kat Toomajian](https://twitter.com/zarhooie)'s talk [From the Inside Out: How Self-Talk Affects Your Community](http://www.confreaks.tv/videos/osfeels2015-from-the-inside-out-how-self-talk-affects-your-community) really stood out to me due to its very practical recommendations and frank discussion of stuff that affects all of us. She spoke about [Impostor Syndrome](https://en.wikipedia.org/wiki/Impostor_syndrome), for example, something I struggled with early in my career at Microsoft.

I particularly liked her 3-2-1 analysis technique [(25:15)](https://youtu.be/T4tjF1cTy8A?t=25m15s): Take any kind of project you were involved in, and list:

* 3 things you like, you did well, that you're proud about
* 2 things you don't like
* 1 thing you would change

The ratios help reinforce a mostly positive perspective. The fact that you're deciding to specifically address just one thing after listing two things you didn't like reinforces a practical perspective: you can't fix everything. You'll eventually get there, little steps at a time!

![via https://twitter.com/osbridge/status/650008835629842432](https://static.sinap.ps/blog/2016/01_jan/osfeels_awesome/burnout.jpg)

## Burnout and Open Source

[Jacob Kaplan-Moss](https://jacobian.org/)'s talk, first of the conference, was an intense session called [What Part of "... for Life" Don't You Understand?](http://www.confreaks.tv/videos/osfeels2015-what-part-of-for-life-don-t-you-understand) One the one hand, open source involvement was personally fulfilling and opened up new career opportunities for him. On the other, without proper self-care, it was a road to burnout. He eventually had to bow out completely. Jacob discussed this in-depth, including a 12-item 'stages of burnout' slide [(10:45)](https://youtu.be/EqcuzSwySR4?t=10m45s).

Burnout ended up being a major theme of the conference. Most speakers included the negative along with the standard positive message, something I hadn't seen before. Seems that including 'feelings' in the name of the conference was the right decision. Yes, open source can help you find new communities online, become part of something greater than yourself, and improve your skills. But the less-discussed negatives are just as important.

Burnout happens, though not on the public stage since its victims generally fade out of the community, out of the spotlight. And those lost are frequently replaced by eager new faces, ready to make the same mistakes. Why are they willing to make the same mistakes? Because companies are using open-source contributions as a sort of second resume, but it amounts to requiring free work. And should it be free work anyway, given that many companies make lots of money using open-source software without giving back?

## The Challenge

It's easy to walk out of an event like that, high on the great people, conversation and sessions, and go right back into your standard routine. Big, industry-wide questions raised? Maybe I'll think about them some more at next year's conference. What can I do about it anyway? I'm not really an activist.

Or, even more challenging: "wait, this industry I was pretty comfortable in has deep problems? What does that say about me?"

Next: read my [second blog post about the conference, where I dig into *The Challenge*](/open-source-and-feelings-the-challenge/).
