---
rank: 49
title: A running update
date: 2016-01-19T17:55:52.000Z
layout: post
path: /a-running-update/
next: /open-source-and-feelings-the-challenge/
previous: /systems-and-incentives/
tags:
  - fun
  - fitness
  - data
---

It's hard to believe that it has been 16 months since my [last post on running](/learning-limits-post-injury-running/). I'm sure the suspense has been killing you since then! What has changed? What stayed the same?

<div class='fold'></div>

## Consistency

<a class="plain" href="https://static.sinap.ps/blog/2016/01_jan/running/overall-distance.png"><img src="https://static.sinap.ps/blog/2016/01_jan/running/overall-distance.png" alt="all runs since injury, X = time, Y = distance"></a>

In my last post, I focused on my recovery from a serious injury: [a partial left achilles tear](/injury-identity-and-non-attachment/). Each time I tried to ramp up, given my pre-injury expectations for myself, I pushed too hard. I had quite a few small injuries, and quite a few empty spots on the graph. My biggest question was: "Can I find a running schedule that will work long-term?"

Happily, the answer seems to be **yes**.

After over a year of fully on or fully off running, I finally figured out how to avoid longer breaks. I also figured out how to be content with minimal or no improvement. I focused on how I felt during the run, with no external goal. No need to constantly increase my distance numbers. No need to change my pace. But changes did happen naturally.

## The interruptions

<a class="plain" href="https://static.sinap.ps/blog/2016/01_jan/running/since-last-post-distance.png"><img src="https://static.sinap.ps/blog/2016/01_jan/running/since-last-post-distance.png" alt="all runs since last post, X = time, Y = distance"></a>

Before we dig into the natural changes in my running since September 2014, let's cover some the empty and sparse spots that did persist:

* **Early October to late November 2014** - The fall in Seattle means cold, dark, raininess. And I was feeling pretty low energy, with people sick around me. I took time off from running to try to avoid sickness, but still ended up getting it. Then I took more time off for recovery.
* **Jan 2015** - I was increasing distances naturally, all the way up to ~3 miles. I didn't take a long break here, but I did move back to shorter runs to speed recovery from another bout of sickness.
* **Mid-June 2015** - The runs get less frequent here, due to unusual heat in Seattle. I loved the warm weather, but it did make running less attractive: I've got no air conditioning to help cool down afterwards. I finally started trying to run earlier in the day to take advantage of cooler temperatures.
* **Mid-September 2015** - The rainy, colder weather once more arrives in Seattle, I explicitly decide to mix up my distances. I relaxed my exercise rotation a bit: instead of my standard rigid 'every four days' run schedule, the plan was to run three times every two weeks.

I think this is a clear improvement over the previous months. Just one long break, and no running injuries.

## Changes

<a class="plain" href="https://static.sinap.ps/blog/2016/01_jan/running/overall-pace.png"><img src="https://static.sinap.ps/blog/2016/01_jan/running/overall-pace.png" alt="all runs since injury, X = time, Y = pace"></a>

There was no clear trend on my run distances over the course of the year, but there was a clear trend in pace. I've generally been trending downward since March 2013. A nice surprise. Evidence that I'm doing something right.

## Overall averages

<table>
  <tr>
    <th></th>
    <th>Minutes per mile</th>
    <th>Runs</th>
    <th>Total miles</th>
    <th>Total time, hours</th>
  </tr>
  <tr>
    <td>2013</td>
    <td>8:42</td>
    <td>44</td>
    <td>69</td>
    <td>10</td>
  </tr>
  <tr>
    <td>2014</td>
    <td>8:55</td>
    <td>76</td>
    <td>102</td>
    <td>15:10</td>
  </tr>
  <tr>
    <td>2015</td>
    <td>7:34</td>
    <td>76</td>
    <td>127</td>
    <td>16</td>
  </tr>
</table>

* **Pace** - In 2013 I was trying too hard. In 2014 I relaxed and good things happened.
* **Frequency** - It's amazing that, without planning it at all, I ended up running the same number of times in 2014 and 2015.
* **Mileage** - Just looking at the total run count you might think that 2014 and 2015 were quite similar. Overall mileage shows that I ran quite a bit further.
* **Time** - Total time spent running each year. 2015 again higher, but not 25% higher like distance. The faster running pace was a more efficient use of time!

## Contentment

No matter how you slice it, I'm feeling good about 2015. The key really seems to be to relax. If numbers go down in 2016, I'm fine with that. In that vein, I'm taking a break from working out right now, while most are out on the streets in force due to their New Year's Resolutions.

One thing is for sure: I'll keep collecting the data and running in my sandals.
